%global  git_commit d0ec879
%global  cluster jruby

# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}

Name:           bytelist
Version:        1.0.8
Release:        %mkrel 16
Summary:        A java library for lists of bytes

Group:          Development/Java
License:        CPL or GPLv2+ or LGPLv2+
URL:            http://github.com/%{cluster}/%{name}
Source0:        http://download.github.com/%{cluster}-%{name}-%{version}-0-g%{git_commit}.tar.gz

Patch0:         00-set-javac-1.8-source-target.patch

BuildArch:      noarch

BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  java-devel
BuildRequires:  jcodings
BuildRequires:  junit

Requires:       java-headless
Requires:       jcodings


%description
A small java library for manipulating lists of bytes.


%prep
%setup -q -n %{cluster}-%{name}-%{git_commit}
%patch0 -p1

find -name '*.class' -delete
find -name '*.jar' -delete


%build
echo "See %{url} for more info about the %{name} project." > README.txt

export CLASSPATH=$(build-classpath junit jcodings)
mkdir -p lib
%ant


%install
mkdir -p %{buildroot}%{_javadir}

cp -p lib/%{name}-1.0.2.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%check
export CLASSPATH=$(build-classpath junit jcodings)
%ant test

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_datadir}/maven-metadata/%{name}.xml
%doc README.txt



%changelog
* Sat Sep 05 2020 daviddavid <daviddavid> 1.0.8-16.mga8
+ Revision: 1622410
- Set javac source and target to 1.8 to fix Java 11 builds
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.0.8-15.mga8
+ Revision: 1501340
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.8-14.mga7
+ Revision: 1277787
- Mageia 7 Mass Rebuild

* Thu Sep 28 2017 daviddavid <daviddavid> 1.0.8-13.mga7
+ Revision: 1161146
- add BR javapackages-local to fix build

* Wed Mar 02 2016 neoclust <neoclust> 1.0.8-12.mga6
+ Revision: 982559
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.0.8-11.mga6
+ Revision: 975688
- First rebuild of the java stack
- sync package bytelist with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.0.8-6.mga6
+ Revision: 951901
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 pterjan <pterjan> 1.0.8-5.mga5
+ Revision: 809694
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-4.mga5
+ Revision: 740677
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-3.mga5
+ Revision: 678260
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 522290
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.0.8-1.mga3
+ Revision: 399136
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.0.5-4.mga3
+ Revision: 347254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 gil <gil> 1.0.5-3.mga2
+ Revision: 162438
- rebuilt with maven

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0.5-3.mga1
+ Revision: 92410
- Rebuild after bootstrapping
- imported package bytelist


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 25 2010 Mohammed Morsi <mmorsi@redhat.com> - 1.0.5-1
- Bumped version to latest upstream release

* Tue Feb 09 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 1.0.3-2
- Fix the clean up code in the prep section
- Fix typo
- Save changelog

* Thu Jan 28 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 1.0.3-1
- 1.0.3
- Remove gcj bits
- New URL
- Use macros in all sections of the spec
- Add README.txt generated on the fly

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.2.svn9177
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Conrad Meyer <konrad@tylerc.org> - 1.0.1-0.1.svn9177
- Bump to SVN HEAD.

* Sun Feb 15 2009 Conrad Meyer <konrad@tylerc.org> - 1.0-1
- Bump to 1.0 release.

* Tue Apr 22 2008 Conrad Meyer <konrad@tylerc.org> - 0.1-0.2.svn6558
- Do not include version in jar filename.
- Run tests in check section.

* Tue Apr 22 2008 Conrad Meyer <konrad@tylerc.org> - 0.1-0.1.svn6558
- Initial RPM.
